Package org.drinkless.tdlib

# Class TdApi.PaymentFormTypeRegular

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.PaymentFormType
org.drinkless.tdlib.TdApi.PaymentFormTypeRegular

Enclosing class:
  `TdApi`

public static class TdApi.PaymentFormTypeRegular extends TdApi.PaymentFormType
The payment form is for a regular payment.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.PaymentFormType

  `TdApi.PaymentFormType.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `TdApi.PaymentOption[]`
  `additionalPaymentOptions`
  The list of additional payment options.
  `boolean`
  `canSaveCredentials`
  True, if the user can choose to save credentials.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.Invoice`
  `invoice`
  Full information about the invoice.
  `boolean`
  `needPassword`
  True, if the user will be able to save credentials, if sets up a 2-step verification password.
  `TdApi.PaymentProvider`
  `paymentProvider`
  Information about the payment provider.
  `long`
  `paymentProviderUserId`
  User identifier of the payment provider bot.
  `TdApi.SavedCredentials[]`
  `savedCredentials`
  The list of saved payment credentials.
  `TdApi.OrderInfo`
  `savedOrderInfo`
  Saved server-side order information; may be null.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PaymentFormTypeRegular()`
  The payment form is for a regular payment.
  `PaymentFormTypeRegular(TdApi.Invoice invoice, long paymentProviderUserId, TdApi.PaymentProvider paymentProvider, TdApi.PaymentOption[] additionalPaymentOptions, TdApi.OrderInfo savedOrderInfo, TdApi.SavedCredentials[] savedCredentials, boolean canSaveCredentials, boolean needPassword)`
  The payment form is for a regular payment.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### invoice

    public TdApi.Invoice invoice
    Full information about the invoice.

  - ### paymentProviderUserId

    public long paymentProviderUserId
    User identifier of the payment provider bot.

  - ### paymentProvider

    public TdApi.PaymentProvider paymentProvider
    Information about the payment provider.

  - ### additionalPaymentOptions

    public TdApi.PaymentOption[] additionalPaymentOptions
    The list of additional payment options.

  - ### savedOrderInfo

    @Nullable public TdApi.OrderInfo savedOrderInfo
    Saved server-side order information; may be null.

  - ### savedCredentials

    public TdApi.SavedCredentials[] savedCredentials
    The list of saved payment credentials.

  - ### canSaveCredentials

    public boolean canSaveCredentials
    True, if the user can choose to save credentials.

  - ### needPassword

    public boolean needPassword
    True, if the user will be able to save credentials, if sets up a 2-step verification password.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### PaymentFormTypeRegular

    public PaymentFormTypeRegular()
    The payment form is for a regular payment.

  - ### PaymentFormTypeRegular

    public PaymentFormTypeRegular(TdApi.Invoice invoice, long paymentProviderUserId, TdApi.PaymentProvider paymentProvider, TdApi.PaymentOption[] additionalPaymentOptions, TdApi.OrderInfo savedOrderInfo, TdApi.SavedCredentials[] savedCredentials, boolean canSaveCredentials, boolean needPassword)
    The payment form is for a regular payment.
    Parameters:
      `invoice` - Full information about the invoice.
      `paymentProviderUserId` - User identifier of the payment provider bot.
      `paymentProvider` - Information about the payment provider.
      `additionalPaymentOptions` - The list of additional payment options.
      `savedOrderInfo` - Saved server-side order information; may be null.
      `savedCredentials` - The list of saved payment credentials.
      `canSaveCredentials` - True, if the user can choose to save credentials.
      `needPassword` - True, if the user will be able to save credentials, if sets up a 2-step verification password.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.PaymentFormType`
    Returns:
      this.CONSTRUCTOR